Classes | Functions

# skype-string.h File Reference

`#include <stddef.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <skype-thread.h>`
Include dependency graph for skype-string.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SEString
| SEString is basic char* based string class. More...
## Functions
const SEString | operator+ (const SEString &s1, const SEString &s2)
const SEString | operator+ (const SEString &s1, const char *s2)
const SEString | operator+ (const char *s1, const SEString &s2)
bool | operator== (const SEString &s1, const SEString &s2)
bool | operator== (const SEString &s1, const char *s2)
bool | operator== (const char *s1, const SEString &s2)
bool | operator!= (const SEString &s1, const SEString &s2)
bool | operator!= (const SEString &s1, const char *s2)
bool | operator!= (const char *s1, const SEString &s2)

## Function Documentation

bool operator!= | ( | const SEString & | s1,
|  | const SEString & | s2 |
| ) |  |  | `[inline]`

Returns true if s1 is not equal to s2; otherwise returns false.

Definition at line 295 of file skype-string.h.

References SEString::equals().

bool operator!= | ( | const SEString & | s1,
|  | const char * | s2 |
| ) |  |  | `[inline]`

Returns true if s1 is not equal to s2; otherwise returns false.

Definition at line 301 of file skype-string.h.

References SEString::equals().

bool operator!= | ( | const char * | s1,
|  | const SEString & | s2 |
| ) |  |  | `[inline]`

Returns true if s1 is not equal to s2; otherwise returns false.

Definition at line 307 of file skype-string.h.

References SEString::equals().

const SEString operator+ | ( | const char * | s1,
|  | const SEString & | s2 |
| ) |  |  | `[inline]`

Returns a string which is the result of concatenating the string s1 and the string s2.

Definition at line 269 of file skype-string.h.

const SEString operator+ | ( | const SEString & | s1,
|  | const char * | s2 |
| ) |  |  | `[inline]`

Returns a string which is the result of concatenating the string s1 and the string s2.

Definition at line 261 of file skype-string.h.

const SEString operator+ | ( | const SEString & | s1,
|  | const SEString & | s2 |
| ) |  |  | `[inline]`

Returns a string which is the result of concatenating the string s1 and the string s2.

Definition at line 253 of file skype-string.h.

bool operator== | ( | const SEString & | s1,
|  | const SEString & | s2 |
| ) |  |  | `[inline]`

Returns true if s1 is equal to s2; otherwise returns false.

Definition at line 277 of file skype-string.h.

References SEString::equals().

bool operator== | ( | const SEString & | s1,
|  | const char * | s2 |
| ) |  |  | `[inline]`

Returns true if s1 is equal to s2; otherwise returns false.

Definition at line 283 of file skype-string.h.

References SEString::equals().

bool operator== | ( | const char * | s1,
|  | const SEString & | s2 |
| ) |  |  | `[inline]`

Returns true if s1 is equal to s2; otherwise returns false.

Definition at line 289 of file skype-string.h.

References SEString::equals().

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines

(c) Skype Technologies S.A. Confidential/Proprietary

Last updated: Fri Jan 27 2012